Skip to content
Docs

Check VM Create Availability

POST/v1/compute/vms/availability

Check VM Create Availability

Body ParametersJSONExpand Collapse
boot_volume: object { size, type, tags }

Boot volume for the VM.

size: number

Size of the Volume in GB.

Type of the Volume.

One of the following:
"nvme"
"abs"
tags: optional array of string

Tags to attach to the Volume.

instance_type: string

Instance type name.

name: string

Name of the VM.

os_image_name: string

Name of the OS Image to use for the VM.

project_id: string

Project ID to create the VM in.

public_ip_enabled: boolean

Whether to enable public IP for the VM.

region: RegionName

Region the resource is in.

ssh_key: SSHKeyRequest { public_key }

Public SSH key configuration for the VM.

public_key: string

Public key to and use to access the VM.

subnet_id: string

ID of the subnet to use for the VM.

data_volumes: optional array of object { name, size, type, tags }

Data volumes for the VM.

name: string

Name of the Volume.

size: number

Size of the Volume in GB.

Type of the Volume.

One of the following:
"nvme"
"abs"
tags: optional array of string

Tags to attach to the Volume.

tags: optional array of string

Tags to attach to the VM.

Check VM Create Availability

curl https://api.nirvanalabs.io/v1/compute/vms/availability \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
    -d '{
          "boot_volume": {
            "size": 100,
            "type": "abs"
          },
          "instance_type": "n1-standard-8",
          "name": "my-vm",
          "os_image_name": "ubuntu-noble-2026-05-18",
          "project_id": "123e4567-e89b-12d3-a456-426614174000",
          "public_ip_enabled": true,
          "region": "us-sva-2",
          "ssh_key": {
            "public_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDBIASkmwNiLcdlW6927Zjt1Hf7Kw/PpEZ4Zm+wU9wn2"
          },
          "subnet_id": "123e4567-e89b-12d3-a456-426614174000",
          "tags": [
            "production",
            "ethereum"
          ]
        }'
Returns Examples